Bug Hunting Session
Bug 93246 - Cancel in last mail merge dialog via file->print doesn't stop the printing
Summary: Cancel in last mail merge dialog via file->print doesn't stop the printing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-07 14:53 UTC by Christoph Lutz
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Lutz 2015-08-07 14:53:02 UTC
If you press cancel in the last mail merge dialog that appears when printing to a printer via file->print, the job is still executed. Here is how to reproduce:

0) I assume that a linux system is required (with cups printer system), since there are some special treatments there.

1) download the test documents from #93236 to you local drive

2) open the attached mail merge document (Sample_document_mailmerge.odt)

3) Use "tools->mail merge wizard/insertAdressBlock->choose different datasource" (translated from German UI) to register the attached simple datasource (einsBisNeun.ods). Cancel Mail merge wizard after that.

4) Use "file->print", "yes", for mail merge printing. Select "print to printer" and press "OK".

5) Now there comes the "last dialog" in which you can chosse the printer and do some settings. Press "Cancel" here.

--> there's a small windows that shows the mail merge progress. This window now still remains and counts from 1 up to 9. The mail merge still was started, even I it should be cancelled.
Comment 1 Juergen Funk (CIB) 2015-09-03 13:28:16 UTC
Fixed here https://gerrit.libreoffice.org/18302
only with cups
want solved in lo-5-0 too
Comment 2 Commit Notification 2015-09-03 15:21:21 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88890c2a7522394f355a3f47a4dfb4608ac5a1cd

tdf#93246: pass on cancel state in mail merge dialog

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-04 08:49:20 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2dc493b2ad57573d60b66a633b6fcccdbe0a3678&h=libreoffice-5-0

tdf#93246: pass on cancel state in mail merge dialog

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.